%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

Summary:	Spamd monitoring script for use with Nagios
Name:		nagios-check_spamd
Version:	0.01
Release:	%mkrel 15
License:	Apache License
Group:		Networking/Other
URL:		https://www.apache.org/
Source0:	https://svn.apache.org/repos/asf/spamassassin/trunk/contrib/check_spamd
Requires:	nagios-plugins
Requires:	perl(Time::HiRes)
Requires:	perl(Mail::SpamAssassin::Client)
Requires:	perl(Mail::SpamAssassin::Timeout)
BuildArch:  noarch

%description
The purpose of this program is to provide a tool to monitor the status of
"spamd" server processes. spamd is the daemonized version of the spamassassin
executable, both provided in the SpamAssassin distribution.

This program is designed for use, as a plugin, with the Nagios service
monitoring software available from http://nagios.org. It might be compatible
with other service monitoring packages. It is also useful as a command line
utility or as a component of a custom shell script.

%prep
%setup -q -c -T

%build

%install
install -d %{buildroot}%{_datadir}/nagios/plugins
install -m 755 %{SOURCE0} %{buildroot}%{_datadir}/nagios/plugins

install -d %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_spamd.cfg <<'EOF'
define command {
	command_name    check_spamd
	command_line    %{_datadir}/nagios/plugins/check_spamd -H $HOSTADDRESS$ -c $ARG1$ -p $ARG2$ -t $ARG3$ -w $ARG4$
}
EOF

%files
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_spamd.cfg
%{_datadir}/nagios/plugins/check_spamd




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.01-15.mga9
+ Revision: 1801977
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.01-14.mga8
+ Revision: 1492171
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.01-13.mga7
+ Revision: 1264644
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.01-12.mga6
+ Revision: 937612
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.01-11.mga6
+ Revision: 937162
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.01-10.mga5
+ Revision: 750855
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.01-9.mga5
+ Revision: 682779
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.01-8.mga4
+ Revision: 508123
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.01-7.mga3
+ Revision: 360733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 0.01-6.mga1
+ Revision: 63065
- clean spec file
- imported package nagios-check_spamd


* Sat Dec 11 2010 Oden Eriksson <oeriksson@mandriva.com> 0.01-6mdv2011.0
+ Revision: 620465
- the mass rebuild of 2010.0 packages

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.01-5mdv2010.0
+ Revision: 440228
- rebuild

* Mon Dec 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-4mdv2009.1
+ Revision: 314657
- now a noarch package
- use a herein document for configuration
- reply on filetrigger for reloading nagios

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 0.01-4mdv2009.0
+ Revision: 253534
- rebuild
- fix summary-ended-with-dot

* Wed Feb 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.01-2mdv2008.1
+ Revision: 163162
- whoops!, it can't be a noarch package :-)

* Wed Feb 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.01-1mdv2008.1
+ Revision: 163156
- import nagios-check_spamd


* Wed Feb 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.01-1mdv2008.1
- initial Mandriva package
